// Aresco.java                                 MuP1 2014/15

import Tools.IO.*;                              // Eingaben

/**
 * Berechnug von Dosen als Verpackung.
 */
public class Aresco
{
/**
 * Eingabe von Hoehe und Durchmesser,
 * Berechnung der benoetigten Groessen.
 */
  public static void main(String args[])
  {
    // Eingabe der gegebenen Werte
    double umfang = IOTools.readDouble("Umfang: ");
    double hoehe = IOTools.readDouble("Hoehe: ");

    // Deklaration der gesuchten Werte
    double durchmesser, grundFlaeche, mantelFlaeche,
           oberFlaeche, volumen;

    // (a) Berechnung der gesuchten Werte
    durchmesser = umfang / (Math.PI);
    grundFlaeche = Math.PI * durchmesser * durchmesser / 4.0;
    mantelFlaeche = umfang * hoehe;
    oberFlaeche = mantelFlaeche + ( 2.0 * grundFlaeche);
    volumen = grundFlaeche * hoehe;

    // (b) Ausgabe der gesuchten Werte
    System.out.println( "Durchmesser:   " + durchmesser);
    System.out.println( "Grundflaeche:  " + grundFlaeche);
    System.out.println( "Mantelflaeche: " + mantelFlaeche);
    System.out.println( "Oberflaeche:   " + oberFlaeche);
    System.out.println( "Volumen:       " + volumen);
  }
}